## tokenizers 0.1.0

=== DESCRIPTION ===
Package: tokenizers
Type: Package
Title: Tokenize Text
Version: 0.1.0
Date: 2016-03-31
Description: Convert natural language text into tokens. The tokenizers have a
    consistent interface and are compatible with Unicode, thanks to being built
    on the 'stringi' package. Includes tokenizers for shingled n-grams, skip
    n-grams, words, word stems, sentences, paragraphs, characters, lines, and
    regular expressions.
License: MIT + file LICENSE
LazyData: yes
Authors@R: c(person("Lincoln", "Mullen", role = c("aut", "cre"),
        email = "lincoln@lincolnmullen.com"),
        person("Dmitriy", "Selivanov", role = c("ctb"),
        email = "selivanov.dmitriy@gmail.com"))
URL: https://github.com/lmullen/tokenizers
BugReports: https://github.com/lmullen/tokenizers/issues
RoxygenNote: 5.0.1
Depends: R (>= 3.1.3)
Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
LinkingTo: Rcpp
Suggests: testthat
NeedsCompilation: yes
Packaged: 2016-04-02 01:16:41 UTC; lmullen
Author: Lincoln Mullen [aut, cre],
  Dmitriy Selivanov [ctb]
Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
Repository: CRAN
Date/Publication: 2016-04-02 23:34:00

## tokenizers 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tokenizers
 Type: Package
 Title: Tokenize Text
-Version: 0.1.0
-Date: 2016-03-31
+Version: 0.1.1
+Date: 2016-04-03
 Description: Convert natural language text into tokens. The tokenizers have a
     consistent interface and are compatible with Unicode, thanks to being built
     on the 'stringi' package. Includes tokenizers for shingled n-grams, skip
@@ -22,9 +22,9 @@
 LinkingTo: Rcpp
 Suggests: testthat
 NeedsCompilation: yes
-Packaged: 2016-04-02 01:16:41 UTC; lmullen
+Packaged: 2016-04-04 02:40:27 UTC; lmullen
 Author: Lincoln Mullen [aut, cre],
   Dmitriy Selivanov [ctb]
 Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
 Repository: CRAN
-Date/Publication: 2016-04-02 23:34:00
+Date/Publication: 2016-04-04 08:37:24

## tokenizers 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tokenizers
 Type: Package
 Title: Tokenize Text
-Version: 0.1.1
-Date: 2016-04-03
+Version: 0.1.2
+Date: 2016-04-14
 Description: Convert natural language text into tokens. The tokenizers have a
     consistent interface and are compatible with Unicode, thanks to being built
     on the 'stringi' package. Includes tokenizers for shingled n-grams, skip
@@ -20,11 +20,11 @@
 Depends: R (>= 3.1.3)
 Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
 LinkingTo: Rcpp
-Suggests: testthat
+Suggests: testthat, covr
 NeedsCompilation: yes
-Packaged: 2016-04-04 02:40:27 UTC; lmullen
+Packaged: 2016-04-14 14:57:45 UTC; lmullen
 Author: Lincoln Mullen [aut, cre],
   Dmitriy Selivanov [ctb]
 Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
 Repository: CRAN
-Date/Publication: 2016-04-04 08:37:24
+Date/Publication: 2016-04-14 18:19:35

## tokenizers 0.1.3

=== DESCRIPTION ===
Package: tokenizers
Type: Package
Title: A Consistent Interface to Tokenize Natural Language Text
Version: 0.1.3
Description: Convert natural language text into tokens. The tokenizers have a
    consistent interface and are compatible with Unicode, thanks to being built
    on the 'stringi' package. Includes tokenizers for shingled n-grams, skip
    n-grams, words, word stems, sentences, paragraphs, characters, lines, and
    regular expressions.
License: MIT + file LICENSE
LazyData: yes
Authors@R: c(person("Lincoln", "Mullen", role = c("aut", "cre"),
        email = "lincoln@lincolnmullen.com"),
        person("Dmitriy", "Selivanov", role = c("ctb"),
        email = "selivanov.dmitriy@gmail.com"))
URL: https://github.com/ropensci/tokenizers
BugReports: https://github.com/ropensci/tokenizers/issues
RoxygenNote: 5.0.1
Depends: R (>= 3.1.3)
Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
LinkingTo: Rcpp
Suggests: testthat, covr, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-08-18 19:17:49 UTC; lmullen
Author: Lincoln Mullen [aut, cre],
  Dmitriy Selivanov [ctb]
Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
Repository: CRAN
Date/Publication: 2016-08-18 23:27:42

## tokenizers 0.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tokenizers
 Type: Package
 Title: A Consistent Interface to Tokenize Natural Language Text
-Version: 0.1.3
+Version: 0.1.4
 Description: Convert natural language text into tokens. The tokenizers have a
     consistent interface and are compatible with Unicode, thanks to being built
     on the 'stringi' package. Includes tokenizers for shingled n-grams, skip
@@ -22,9 +22,9 @@
 Suggests: testthat, covr, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-08-18 19:17:49 UTC; lmullen
+Packaged: 2016-08-29 19:15:04 UTC; lmullen
 Author: Lincoln Mullen [aut, cre],
   Dmitriy Selivanov [ctb]
 Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
 Repository: CRAN
-Date/Publication: 2016-08-18 23:27:42
+Date/Publication: 2016-08-29 22:59:29

## tokenizers 0.2.0

=== DESCRIPTION ===
Package: tokenizers
Type: Package
Title: Fast, Consistent Tokenization of Natural Language Text
Version: 0.2.0
Date: 2018-03-19
Description: Convert natural language text into tokens. Includes tokenizers for
    shingled n-grams, skip n-grams, words, word stems, sentences, paragraphs,
    characters, shingled characters, lines, tweets, Penn Treebank, regular
    expressions, as well as functions for counting characters, words, and sentences,
    and a function for splitting longer texts into separate documents, each with
    the same number of words.  The tokenizers have a consistent interface, and
    the package is built on the 'stringi' and 'Rcpp' packages for  fast
    yet correct tokenization in 'UTF-8'. 
License: MIT + file LICENSE
LazyData: yes
Authors@R: c(person("Lincoln", "Mullen", role = c("aut", "cre"),
        email = "lincoln@lincolnmullen.com",
        comment = c(ORCID = "0000-0001-5103-6917")),
        person("Os", "Keyes", role = c("ctb"),
        email = "ironholds@gmail.com",
        comment = c(ORCID = "0000-0001-5196-609X")),
        person("Dmitriy", "Selivanov", role = c("ctb"),
        email = "selivanov.dmitriy@gmail.com"),
        person("Jeffrey", "Arnold", role = c("ctb"),
        email = "jeffrey.arnold@gmail.com"),
        person("Kenneth", "Benoit", role = c("ctb"),
        email = "kbenoit@lse.ac.uk",
        comment = c(ORCID = "0000-0002-0797-564X")))
URL: http://lincolnmullen.com/software/tokenizers/
BugReports: https://github.com/ropensci/tokenizers/issues
RoxygenNote: 6.0.1
Depends: R (>= 3.1.3)
Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
LinkingTo: Rcpp
Suggests: covr, knitr, rmarkdown, stopwords (>= 0.9.0), testthat
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2018-03-20 14:15:42 UTC; lmullen
Author: Lincoln Mullen [aut, cre] (<https://orcid.org/0000-0001-5103-6917>),
  Os Keyes [ctb] (<https://orcid.org/0000-0001-5196-609X>),
  Dmitriy Selivanov [ctb],
  Jeffrey Arnold [ctb],
  Kenneth Benoit [ctb] (<https://orcid.org/0000-0002-0797-564X>)
Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
Repository: CRAN
Date/Publication: 2018-03-21 14:43:03 UTC

## tokenizers 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: tokenizers
 Type: Package
 Title: Fast, Consistent Tokenization of Natural Language Text
-Version: 0.2.0
-Date: 2018-03-19
+Version: 0.2.3
+Date: 2022-09-23
 Description: Convert natural language text into tokens. Includes tokenizers for
     shingled n-grams, skip n-grams, words, word stems, sentences, paragraphs,
     characters, shingled characters, lines, tweets, Penn Treebank, regular
@@ -22,25 +22,28 @@
         person("Dmitriy", "Selivanov", role = c("ctb"),
         email = "selivanov.dmitriy@gmail.com"),
         person("Jeffrey", "Arnold", role = c("ctb"),
-        email = "jeffrey.arnold@gmail.com"),
+        email = "jeffrey.arnold@gmail.com",
+        comment = c(ORCID = "0000-0001-9953-3904")),
         person("Kenneth", "Benoit", role = c("ctb"),
         email = "kbenoit@lse.ac.uk",
         comment = c(ORCID = "0000-0002-0797-564X")))
-URL: http://lincolnmullen.com/software/tokenizers/
+URL: https://docs.ropensci.org/tokenizers/,
+        https://github.com/ropensci/tokenizers
 BugReports: https://github.com/ropensci/tokenizers/issues
-RoxygenNote: 6.0.1
+RoxygenNote: 7.2.1
 Depends: R (>= 3.1.3)
 Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
 LinkingTo: Rcpp
+Encoding: UTF-8
 Suggests: covr, knitr, rmarkdown, stopwords (>= 0.9.0), testthat
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-03-20 14:15:42 UTC; lmullen
+Packaged: 2022-09-23 18:08:26 UTC; lmullen
 Author: Lincoln Mullen [aut, cre] (<https://orcid.org/0000-0001-5103-6917>),
   Os Keyes [ctb] (<https://orcid.org/0000-0001-5196-609X>),
   Dmitriy Selivanov [ctb],
-  Jeffrey Arnold [ctb],
+  Jeffrey Arnold [ctb] (<https://orcid.org/0000-0001-9953-3904>),
   Kenneth Benoit [ctb] (<https://orcid.org/0000-0002-0797-564X>)
 Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
 Repository: CRAN
-Date/Publication: 2018-03-21 14:43:03 UTC
+Date/Publication: 2022-09-23 20:00:02 UTC

## tokenizers 0.20.3+dfsg

=== bindings/python/Makefile ===
.PHONY: style check-style test

DATA_DIR = data

dir_guard=@mkdir -p $(@D)
check_dirs := examples py_src/tokenizers tests

# Format source code automatically
style:
	python stub.py
	ruff check  $(check_dirs) --fix 
	ruff format $(check_dirs)

# Check the source code is formatted correctly
check-style:
	python stub.py --check
	ruff check examples py_src/tokenizers tests 
	ruff format --check examples py_src/tokenizers tests 

TESTS_RESOURCES = $(DATA_DIR)/small.txt $(DATA_DIR)/roberta.json

# Launch the test suite
test: $(TESTS_RESOURCES)
	pip install pytest requests setuptools_rust numpy pyarrow datasets
	python -m pytest -s -v tests
	cargo test --no-default-features

$(DATA_DIR)/big.txt :
	$(dir_guard)
	wget https://norvig.com/big.txt -O $@

$(DATA_DIR)/small.txt : $(DATA_DIR)/big.txt
	head -100 $(DATA_DIR)/big.txt > $@

$(DATA_DIR)/roberta.json :
	$(dir_guard)
	wget https://huggingface.co/roberta-large/raw/main/tokenizer.json -O $@

=== debian/changelog ===
tokenizers (0.20.3+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1109641)

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Fri, 09 May 2025 14:01:31 +0000

=== debian/control ===
Source: tokenizers
Section: python
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
Rules-Requires-Root: no
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/huggingface/tokenizers
Vcs-Browser: https://salsa.debian.org/deeplearning-team/tokenizers
Vcs-Git: https://salsa.debian.org/deeplearning-team/tokenizers.git
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               cargo,
               librust-derive-builder-dev,
               librust-env-logger-dev,
               librust-esaxx-rs-dev,
               librust-indicatif-dev,
               librust-itertools-dev,
               librust-libc-dev, librust-macro-rules-attribute-dev,
               librust-monostate-dev,
               librust-ndarray-dev,
               librust-numpy-dev,
               librust-onig-dev,
               librust-pyo3-dev,
               librust-rand-dev,
               librust-rayon-cond-dev, librust-rayon-dev,
               librust-regex-dev,
               librust-regex-syntax-dev,
               librust-serde-derive-dev,
               librust-serde-dev,
               librust-serde-json-dev,
               librust-spm-precompiled-dev,
               librust-thiserror-1-dev,
               librust-unicode-categories-dev,
               librust-unicode-normalization-alignments-dev,
               pybuild-plugin-pyproject,
               python3-all,
               python3-filelock,
               python3-fsspec,
               python3-huggingface-hub,
               python3-maturin,
               python3-packaging,
               python3-requests,
               python3-setuptools,
               python3-tqdm,
               python3-typing-extensions,
               python3-yaml,
               rustc

Package: python3-tokenizers
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Fast State-of-the-Art Tokenizers for Research and Production
 Provides an implementation of today's most used tokenizers, with a focus on
 performance and versatility.
 .
 Main features:
  * Train new vocabularies and tokenize, using today's most used tokenizers.
  * Extremely fast (both training and tokenization), thanks to the Rust
    implementation. Takes less than 20 seconds to tokenize a GB of text on
    a server's CPU.
  * Easy to use, but also extremely versatile.
  * Designed for research and production.
  * Normalization comes with alignments tracking. It's always possible to get
    the part of the original sentence that corresponds to a given token.
  * Does all the pre-processing: Truncate, Pad, add the special tokens your
    model needs.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildflags.mk
export CARGO_NET_OFFLINE=true
export PYBUILD_NAME=tokenizers

%:
	dh $@ --buildsystem=pybuild --sourcedirectory=bindings/python

execute_before_dh_auto_clean:
	-$(RM) -rfv .cargo
	-mv bindings/python/Cargo.lock.bak bindings/python/Cargo.lock

execute_before_dh_auto_configure:
	mkdir -pv .cargo
	cp debian/cargo-config.toml .cargo/config.toml
	-mv bindings/python/Cargo.lock bindings/python/Cargo.lock.bak

override_dh_auto_test:
	true

=== debian/tests/control ===
Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_decoders.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-decoders

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_encoding.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-encoding

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_models.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-models

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_normalizers.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-normalizers

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_pre_tokenizers.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-pre-tokenizers

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_processors.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-processors

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/bindings/test_tokenizer.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-tokenizer

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/documentation/test_pipeline.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-pipeline

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/documentation/test_quicktour.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-quicktour

Test-Command: cd bindings/python/ ; HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/implementations/test_base_tokenizer.py
Depends: python3-numpy,
         python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         @
Restrictions: allow-stderr
Features: test-name=pytest-test-base-tokenizer

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?(\d[\d\.]*)$%tokenizers-$1.tar.gz%,\
dversionmangle=auto,\
repacksuffix=+dfsg" \
  https://api.github.com/repos/huggingface/tokenizers/releases \
  https://api.github.com/repos/huggingface/tokenizers/tarball/v@ANY_VERSION@
